
package org.tio.sitexxx.im.server.vo;

import cn.hutool.core.bean.BeanUtil;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 转账vo
 * 
 * @author xufei
 * 2021年3月9日 下午1:45:08
 */
@Data
public class TransferVo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5065642665564253002L;

	/**
	 * uid-Y
	 */
	private Integer uid;

	/**
	 * 金额
	 */
	private String cny;

	/**
	 * 订单超时时长
	 */
	private Integer timeout;
	
	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:24
	 */
	public Map<String, Object> toMap() {
		return BeanUtil.beanToMap(this);
	}

	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:23
	 */
	public static TransferVo toBean(Map<String, Object> map) {
		return BeanUtil.fillBeanWithMap(map, new TransferVo(), true);
	}
}
